# eric7.Plugins.CheckerPlugins.CodeStyleChecker.Security.Checks.injectionWildcard

Module implementing a check for use of wildcard injection.

### Global Attributes

None

### Classes

None

### Functions

checkLinuxCommandsWildcardInjection | Function to check for use of wildcard injection.
getChecks | Public method to get a dictionary with checks handled by this module.

## checkLinuxCommandsWildcardInjection

checkLinuxCommandsWildcardInjection(reportError, context, config)

Function to check for use of wildcard injection.

reportError (func)
  function to be used to report errors
context (SecurityContext)
  security context object
config (dict)
  dictionary with configuration data

Up

## getChecks

getChecks()

Public method to get a dictionary with checks handled by this module.

Return:
  dictionary containing checker lists containing checker function and list of codes

Return Type:
  dict

Up